Summary:	A collection of utilities and DSOs to handle compiled objects
Name:		elfutils
Version:	0.108
Release:	1tr
License:	OSL v1.0
Group:		Trustix Official
Source0:	elfutils-%{version}.tar.gz
Patch0:		elfutils-0.108.robustify.patch.bz2
Patch1: 	elfutils-0.108-nsegments.patch
BuildRequires:	gettext
BuildRequires:	glibc-devel	>= 2.3.2
Requires:	elfutils-libs = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define		_programprefix	eu-

%description
Elfutils is a collection of utilities, including ld (a linker), nm
(for listing symbols from object files), size (for listing the section
sizes of an object or archive file), strip (for discarding symbols),
readelf (the see the raw ELF file structures), and elflint (to check
for well-formed ELF files). Also included are numerous helper
libraries which implement DWARF, ELF, and machine-specific ELF
handling.

%package devel
Summary:	Development part of libraries to handle compiled objects
Group:		Trustix Official
Obsoletes:	libelf-devel
Requires:	elfutils = %{version}-%{release}

%description devel
The elfutils-devel package contains the development part of libraries
to create applications for handling compiled objects. libelf allows
you to access the internals of the ELF object file format, so you can
see the different sections of an ELF file. libebl provides some
higher-level ELF access functionality. libdwarf provides access to the
DWARF debugging information. libasm provides a programmable assembler
interface.


%package libs
Summary:	Library to read and write ELF files
Group:		Trustix Official
Obsoletes:	%{name}-libelf
Provides:	%{name}-libelf

%description libs
The elfutils-libs package provides a DSO which allows reading and
writing ELF files on a high level. Third party programs depend on this
package to read internals of ELF files. The programs of the elfutils
package use it also to generate new ELF files.


%package static
Summary:	Static libraries to handle compiled objects
Group:		Trustix Official	
Obsoletes:	libelf-static
Requires:	elfutils-devel = %{version}-%{release}

%description static
The elfutils-static package contains the static libraries to create
applications for handling compiled objects. libelf allows you to
access the internals of the ELF object file format, so you can see the
different sections of an ELF file. libebl provides some higher-level
ELF access functionality. libdwarf provides access to the DWARF
debugging information. libasm provides a programmable assembler
interface.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--enable-shared \
	--program-prefix=%{_programprefix}
%{__make}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS NOTES README THANKS TODO
%doc COPYING.GPL
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*-*.so
%dir %{_libdir}/elfutils
%attr(755,root,root) %{_libdir}/elfutils/lib*.so
%exclude %{_libdir}/libelf-*.so
%exclude /usr/lib/elfutils/libebl_ia64*
%exclude /usr/lib/elfutils/libebl_alpha*
%exclude /usr/lib/elfutils/libebl_sparc*
%exclude /usr/lib/elfutils/libebl_arm*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/lib*.so
%exclude %{_libdir}/lib*-*.so

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libelf-*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%changelog
* Thu Jun 02 2005 Ajith Thampi <ajith at comodo dot com> 0.108-1tr
- New Upstream
- Fix Buffer Overflow, Tavis Ormandy and Ned Ludd discovered an integer 
  overflow in elfutils,resulting in a heap based buffer overflow.
- Added patch to fix fintextrel.c against nsegments break with gnu99.
- Removing libs of ia64, alpha, sparc, and arm as not supported by TSL yet.
		
* Thu Apr 05 2005 Thushara Gopalakrishnana <thushara at comodo dot com> 0.97-1tr
- New upstream

* Tue Mar 15 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 0.95-3tr
- Rebuilt

* Fri Mar 11 2005 Ajith Thampi <ajith at comodo dot com> 0.95-2tr
- Rebuilt

* Wed Jan 19 2005 Ajith Thampi <ajith at comodo dot com> 0.95-1ta
- Initial Spec
